/*
 * Lcd_Counter.c: Program to demonstrate displaying of 5-digit LCD_Connter
 *
 * Created: 11/6/2012 8:06:03 PM
 *  Author: xplore_labz
 *  note: Refer lcd.c(lcd_4_bit.c/lcd_8_bit.c) file for Pin connections
 */ 

/* io.h contains the defnition of all ports and SFRs 
   delay.h contains the in built delay routines(us and ms routines)*/
#include <avr\io.h> 
#include <util\delay.h> 

#include "lcd.h"  // User defined lirary containg LCD routines.

/* start the main program */
int main() 
{
   unsigned int counter=0;

  /* Initilize the lcd before displaying any thing on the lcd */
    LCD_Init();

  /* Display "Lcd_Counter" on first line*/
  LCD_DisplayString("Lcd_Counter");

   /* Display the counter till 9999 */ 
   while(counter < 9999)
    {
        /*Go to second line and display counter value */
         LCD_GoToLineTwo();
         LCD_DisplayNumber(counter);

		 /*Wait for 1sec after displaying the count */
		 _delay_ms(1000);
		 		 
		 /* Increment the counter till it reaches 9999*/
		 counter++;
	  }


  while(1);

  }
